/* home page parallax bg blocks */
div#block-mhc-drupal-theme-dmplus-watchlivefromthenationalshrine,
div#block-mhc-drupal-theme-dmplus-testimonialsblock {
    background-image: url(/sites/default/files/shrine-bg-dark.jpg);
    background-attachment: fixed;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: top;
    background-color: rgba(0, 0, 0, 0.5);
    background-blend-mode: multiply;
}
body.frontpage #main-wrapper {
    padding-top: 0;
}

/* carousel blocks */
.views-element-container.block:has(.dmplus-background){
    background-image: url(/sites/default/files/2025-10/dmplus_background_image.jpg);
    background-attachment: fixed;
    background-size: cover;
    /* background-position: top!important; */
    margin-bottom: 0;
    .block-title, .block-content {
        background: transparent !important;
    }
    &:first-child {
        margin-top: -1rem;
        padding-top: 1rem;
    }
    &:has(.section-end) {
        padding-bottom: 2rem;
    }
}
.views-element-container.block:has(.three-wide-teaser-view):not(:has(.dmplus-background)), 
.views-element-container.block:has(.four-wide-teaser-view):not(:has(.dmplus-background)) {
    margin-top: 2rem;
    margin-bottom: 2rem;
}

/* testimonials block */
.testimonials-block {
    width: 1170px;
    max-width: 100%;
    margin: auto;
    padding: 40px 20px;
    font-size: 16px;
}
.testimonials-outer-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}
.testimonials-paragraph {
    width: 225px;
    display: flex;
    flex-direction: column;
    margin: 40px auto 0;
}
.testimonials-paragraph a {
    font-weight: bold;
    font-style: italic;
    text-decoration: underline;
}
.testimonials-inner-container {
    display: flex;
    flex-wrap: wrap;
    align-items: stretch;
    justify-content: center;
    vertical-align: bottom;
    margin: auto;
}
.testimonial {
    width: 265px;
    max-width: 100%;
    display: flex;
    flex-direction: column;
    margin: 15px;
    background-color: #2F343D;
    padding-bottom: 20px;
}
.testimonial-text-wrap {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}
a.testimonial-image img {
    width: 100%;
}
.testimonial-bottom-text-wrap > span, 
.testimonial-bottom-text-wrap > a {
    display: block;
}
.testimonial-text,
.testimonial-name,
.testimonial-name-role,
.testimonial-link {
    padding-left: 20px;
    padding-right: 20px;
}
.testimonial-quote-icon {
    height: 20px;
    background-color: #3f454e;
    margin-bottom: 20px;
}
.testimonial-quote-icon:after {
    content: url(/sites/default/files/white-quotes-25.png);
    position: relative;
    left: 15px;
    top: 0px;
    background-color: #961300;
    padding: 16px 11px 11px 10px;
    border-radius: 25px;
}
.testimonial-name {
    font-weight: bold;
    margin-bottom: 0;
}
.testimonial-name-role {
    font-style: italic;
    font-weight: normal;
    margin-bottom: 20px;
}
.testimonial-link {
    text-decoration: underline;
}
@media only screen and (max-width: 1149px) {
    .testimonials-paragraph {
        width: 425px;
        text-align: center;
        margin-bottom: 20px;
    }
}